ghc-8.0.2: The GHC API

Safe Haskell | None
Language | Haskell2010

LlvmCodeGen.Data

Description

Handle conversion of CmmData to LLVM code.

Synopsis

- genLlvmData :: (Section, CmmStatics) -> LlvmM LlvmData
- genData :: CmmStatic -> LlvmM LlvmStatic

# Documentation

genLlvmData :: (Section, CmmStatics) -> LlvmM LlvmData Source #

Pass a CmmStatic section to an equivalent Llvm code.

genData :: CmmStatic -> LlvmM LlvmStatic Source #

Handle static data